<!DOCTYPE html >
<ui:composition template="/laytou_base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
	xmlns:f="http://xmlns.jcp.org/jsf/core">


	<ui:define name="page_title">
		Consultar Produto
	</ui:define>

	<ui:define name="content">		
		<div class="row">
			<h:form prependId="false">
			<div class="col-md-12">
				<h4 class="title">Produtos</h4>
				<p class="category">Veja informações sobre Produtos</p>
				<br />
				
				<div class="card">
					<div class="card-content">
						<div class="row">
							<div class="col-md-8 col-md-offset-1">
								<div class="form-group">
									<label class="control-label"> PRODUTO<star>*</star></label>
										<div class="input-group">
											<h:selectOneMenu value="#{produtosBean.strProdutoPesquisa}" id="prods"> 										
												<f:selectItems value="#{produtosBean.produtosAll()}"  var="item" itemLabel="#{item}" itemValue="#{item}" />										
 											</h:selectOneMenu>
											<span class="input-group-btn"> <h:commandButton
													action="#{produtosBean.visualizarProduto()}"
													value="VISUALIZAR" styleClass="btn btn-sm btn-fill">													
												</h:commandButton>
											</span>
										</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="card">
					<div class="card-content">
						<div class="toolbar">
							<p class="category">ÚLTIMOS PRODUTOS ADICIONADOS</p>
							<p></p>
						</div>
						<div class="fresh-datatables">
							<h:dataTable value="#{produtosBean.produtos}" var="item"
								styleClass="table table-striped table-no-bordered table-hover"
								cellspacing="0" width="100%" style="width: 100%"
								id="datatables">
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="COD." /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.codigoProduto}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="PRODUTO" />
									</f:facet>
									<h:outputText value="#{item.descricao}" />
								</h:column>
<!-- 								<h:column> -->
<!-- 									<f:facet name="header"> -->
<!-- 										<h:outputText value="APRES." /> -->
<!-- 									</f:facet> -->
<!-- 									<h:outputText value="#{item.unidade}" /> -->
<!-- 								</h:column> -->
								<h:column>
									<f:facet name="header">
										<h:outputText value="VALOR" />
									</f:facet>
									<h:outputText value="R$ #{item.vlUniVenda}" />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="DATA" />
									</f:facet>
									<h:outputText value="#{item.dtVenda} " />
								</h:column>
								<h:column>
									<f:facet name="header">
										<h:outputText value="Ação" />
									</f:facet>
<!-- 									 <h:link styleClass="btn btn-info btn-xs" outcome="usuarios_cadastro"> -->
<!-- 					    				<f:param name="id" value="#{u.id}" /> -->
<!-- 					    				<span class="glyphicon glyphicon-edit"></span> -->
<!-- 					    				Editar -->
<!-- 									</h:link> -->
									<h:link styleClass="btn btn-simple btn-info btn-icon like" outcome="produto-detalhe">
										<f:param name="id" value="#{item.id}" />
										<i class="ti-eye"></i>
									</h:link>
								</h:column>
							</h:dataTable>
						</div>
					</div>
				</div>
				<!--  end card  -->
			</div>
			<!-- end col-md-12 -->
			</h:form>
		</div>		
		<!-- end row -->
		<h:outputScript>
        		$(document).ready(function() {    
				    $('#prods').selectize({
					    sortField: 'text'					    
					});
    
				$('#datatables').DataTable({
					"columnDefs": [ {
			          "targets": 2,
			          "render": function (data) {
			          var date = new Date(data);
			          return moment(date).format('DD-MM-YYYY HH:mm'); //'YYYY-MM-DD HH:mm'
			        }
			      } ],
		          "pagingType": "numbers",
		          responsive: true,
		          ordering: false,
		          "bLengthChange": false,
		          language: {
		          	search: "_INPUT_",
		            searchPlaceholder: "Filtrar Produtos",
		            "url": "/resources/json/Portuguese-Brasil.json"
		        }
		      });
			});
        </h:outputScript>
	</ui:define>
</ui:composition>
